﻿using System;
using System.ComponentModel;

namespace Microsoft.Web.DynamicData.Metadata {

    internal class OldStyleMetadataTypeDescriptionProvider : TypeDescriptionProvider {
        private OldStyleMetadataTypeDescriptor _descriptor;
        private TypeDescriptionProvider _parent;

        public OldStyleMetadataTypeDescriptionProvider(TypeDescriptionProvider parent)
            : base(parent) {
            _parent = parent;
        }

        public override ICustomTypeDescriptor GetTypeDescriptor(Type objectType, object instance) {
            if (null == _descriptor) {
                _descriptor = new OldStyleMetadataTypeDescriptor(objectType, _parent.GetTypeDescriptor(objectType, instance));
            }
            return _descriptor;
        }
    }
}
