﻿
namespace Microsoft.Web.DynamicData.Metadata {
    public class RangeAttribute : ValidationAttribute {

        public RangeAttribute()
            : this(0, 0) {
        }

        public RangeAttribute(int minimum, int maximum) {
            Minimum = minimum;
            Maximum = maximum;
        }

        public int Minimum { get; set; }
        public int  Maximum { get; set; }

    }
}
